Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.drools.conf
Enum MaintainTMSOption

    java.lang.Object
      java.lang.Enum<MaintainTMSOption>
          org.drools.conf.MaintainTMSOption

All Implemented Interfaces:
  Serializable, Comparable<MaintainTMSOption>, KnowledgeBaseOption, Option, SingleValueKnowledgeBaseOption

    public enum MaintainTMSOption

extends Enum<MaintainTMSOption>
implements SingleValueKnowledgeBaseOption

An Enum for MaintainTMS option. drools.maintainTms = <true|false> DEFAULT = true

Enum Constant Summary
`NO`
`YES`

Field Summary
`static String` | `PROPERTY_NAME` The property name for the maintain TMS option

Method Summary
`String` | `getPropertyName()` Returns the property name for this option
`boolean` | `isMaintainTMS()`
`static MaintainTMSOption` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static MaintainTMSOption[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### YES

    public static final MaintainTMSOption YES

### NO

    public static final MaintainTMSOption NO

Field Detail

### PROPERTY_NAME

    public static final String PROPERTY_NAME

  The property name for the maintain TMS option

  See Also:
    Constant Field Values

Method Detail

### values

    public static MaintainTMSOption[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (MaintainTMSOption c : MaintainTMSOption.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static MaintainTMSOption valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### getPropertyName

    public String getPropertyName()

  Returns the property name for this option

  Specified by:
    `getPropertyName` in interface `Option`
  Returns:

### isMaintainTMS

    public boolean isMaintainTMS()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2001-2012 JBoss by Red Hat. All Rights Reserved.